io.undertow.server.handlers

## Interface GracefulShutdownHandler.ShutdownListener

Enclosing class:
  GracefulShutdownHandler

    public static interface GracefulShutdownHandler.ShutdownListener

A listener which can be registered with the handler to be notified when all pending requests have finished.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `shutdown(boolean shutdownSuccessful)` Notification that the container has shutdown.

### Method Detail

#### shutdown

    void shutdown(boolean shutdownSuccessful)

Notification that the container has shutdown.

Parameters:
  `shutdownSuccessful` - If the shutdown succeeded or not